## MacPorts-1.9.0-rc2.tar.bz2

=== doc/Makefile ===
MAN1=		port.1
MAN5=		macports.conf.5
MAN7=		portfile.7 portstyle.7 porthier.7 portgroup.7
INSTALLDIR=	${DESTDIR}${prefix}
TOPSRCDIR=	..

ifneq ($(MAKECMDGOALS),distclean)
include ../Mk/macports.autoconf.mk
endif

all: ${MAN1:.1=.1.gz} ${MAN5:.5=.5.gz} ${MAN7:.7=.7.gz}

clean:
	rm -f *.{1,5,7}.gz

test:

distclean: clean
	rm -f prefix.mtree macports.conf macosx.mtree

%.1.gz: %.1
	gzip -c $^ > $@

%.5.gz: %.5
	gzip -c $^ > $@

%.7.gz: %.7
	gzip -c $^ > $@

install: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${DESTDIR}${mpconfigdir}

	cat prefix.mtree | $(MTREE) -U -e -p ${INSTALLDIR} > /dev/null
	if test -L "${INSTALLDIR}/man" ; then \
		rm -f "${INSTALLDIR}/man"; \
	fi

	if test ! -e "${INSTALLDIR}/man" ; then \
		$(LN_S) share/man ${INSTALLDIR}/man; \
	fi

	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 macports.conf ${DESTDIR}${mpconfigdir}/macports.conf.default
	if test ! -e ${DESTDIR}${mpconfigdir}/macports.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 macports.conf ${DESTDIR}${mpconfigdir}; \
	fi
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 sources.conf ${DESTDIR}${mpconfigdir}/sources.conf.default
	if test ! -e ${DESTDIR}${mpconfigdir}/sources.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 sources.conf ${DESTDIR}${mpconfigdir}; \
	fi
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 variants.conf ${DESTDIR}${mpconfigdir}/variants.conf.default
	if test ! -e ${DESTDIR}${mpconfigdir}/variants.conf ; then \
		set -x; \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 variants.conf ${DESTDIR}${mpconfigdir}; \
	fi

	# delete old uncompressed man pages if they exist
	for m in ${MAN1}; do rm -f ${INSTALLDIR}/share/man/man1/$$m ; done
	for m in ${MAN5}; do rm -f ${INSTALLDIR}/share/man/man5/$$m ; done
	for m in ${MAN7}; do rm -f ${INSTALLDIR}/share/man/man7/$$m ; done

	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}/share/macports/install
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 prefix.mtree ${INSTALLDIR}/share/macports/install/
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 644 macosx.mtree ${INSTALLDIR}/share/macports/install/
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 port.1.gz ${INSTALLDIR}/share/man/man1
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 macports.conf.5.gz ${INSTALLDIR}/share/man/man5
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portfile.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portstyle.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 porthier.7.gz ${INSTALLDIR}/share/man/man7
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 portgroup.7.gz ${INSTALLDIR}/share/man/man7

=== tests/test/case-insensitive-deactivate/Makefile ===
include ../../../Mk/macports.autoconf.mk

# see test-macports.conf for the value of prefix
TESTFILE=/tmp/macports-tests/opt/local/var/macports/case
TESTPORT1=casesensitive
TESTPORT2=CaseSensitivE

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@echo port install $(TESTPORT1)
	@sed 's/@name@/$(TESTPORT1)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port install > output 2>&1 || (cat output; exit 1)
	@if [ ! -f $(TESTFILE) ]; then \
		echo "FAILED: File should exist after install: $(TESTFILE)" && exit 1; \
	fi
	@echo port uninstall $(TESTPORT2)
	@sed 's/@name@/$(TESTPORT2)/' Portfile.in > Portfile
	@PORTSRC=$(PORTSRC) $(bindir)/port uninstall > output 2>&1 || (cat output; exit 1)
	@if [ -f $(TESTFILE) ]; then \
		rm $(TESTFILE); \
		echo "FAILED: File should NOT exist after uninstall: $(TESTFILE)" && exit 1; \
	else \
		echo "SUCCESS!"; \
	fi
	rm Portfile
	rm output

=== tests/test/dependencies-e/Portfile ===
# $Id: Portfile 41527 2008-11-05 14:38:06Z pguyot@kallisys.net $

PortSystem 1.0
name		dependencies-e
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

depends_build \
    port:docbook-xml-4.1.2 \
    port:docbook-xml-4.2 \
    port:docbook-xml-4.3 \
    port:docbook-xml-4.4 \
    port:docbook-xml-4.5

test {
# testing consists in processing dependencies
}
